libgeocoding7_7.1.0-5+b4_i386.deb


Advertisement

Description

libgeocoding7 - geocoding phone numbers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgeocoding7_7.1.0-5+b4_i386.deb
Package name libgeocoding7
Package version 7.1.0
Package release 5+b4
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/googlei18n/libphonenumber/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 571.86 KB
Installed size 6.55 MB
Google's library for geocoding phone international phone numbers.
This package contains the runtime libraries which can be used to geocode phone
numbers. This means obtaining a desciption (for example of the location) of a
given phone number.

Alternatives

Package Version Architecture Repository
libgeocoding7_7.1.0-5+b4_amd64.deb 7.1.0 amd64 Debian Main
libgeocoding7 - - -

Requires

Name Value
libboost-atomic1.67.0 -
libboost-chrono1.67.0 -
libboost-date-time1.67.0 -
libboost-filesystem1.67.0 -
libboost-system1.67.0 -
libboost-thread1.67.0 -
libc6 >= 2.3.6-6~
libgcc1 >= 1:3.0
libicu63 >= 63.1-1~
libprotobuf17 -
libstdc++6 >= 5.2

Replaces

Name Value
libphonenumber7 << 7.0.11-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgeocoding7_7.1.0-5+b4_i386.deb
Source Package libphonenumber

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgeocoding7 deb package:
    # sudo apt-get install libgeocoding7

Files

Path
/usr/lib/i386-linux-gnu/libgeocoding.so.7
/usr/lib/i386-linux-gnu/libgeocoding.so.7.0
/usr/share/doc/libgeocoding7/AUTHORS
/usr/share/doc/libgeocoding7/CONTRIBUTORS
/usr/share/doc/libgeocoding7/changelog.Debian.gz
/usr/share/doc/libgeocoding7/changelog.Debian.i386.gz
/usr/share/doc/libgeocoding7/copyright

Changelog

2016-09-13 - Markus Koschany <apo@debian.org>
libphonenumber (7.1.0-5) unstable; urgency=medium
* Team upload.
* Revert "Set environment to GCC-6." because this is the default now.
* Add readdir_r-is-deprecated.patch and fix FTBFS with glibc 2.24.
Thanks to Graham Inggs for the report. (Closes: #836768)
* Add libboost-filesystem-dev to Build-Depends.
2016-07-16 - Markus Koschany <apo@debian.org>
libphonenumber (7.1.0-4) unstable; urgency=medium
* Team upload.
* Vcs-Git: Use https.
* Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #811613)
Thanks to Martin Michlmayr for the report.
* Fix Lintian warning syntax-error-in-dep5-copyright.
* Add 0010-reproducible-build.patch and make the build reproducible.
Thanks to Reiner Herrmann for the report and patch. (Closes: #828748)
* Fix Lintian warning dep5-copyright-license-name-not-unique.
2016-06-21 - Emmanuel Bourg <ebourg@apache.org>
libphonenumber (7.1.0-3) unstable; urgency=medium
* Team upload.
* Transition to the Servlet API 3.1 (Closes: #801036)
* Standards-Version updated to 3.9.8 (no changes)
2015-11-10 - Iain Lane <laney@debian.org>
libphonenumber (7.1.0-2) unstable; urgency=medium
* Move libphonenumber7-dev.install to libphonenumber-dev.install so the -dev
package actually contains files.
* Have libphoneumber7-java Conflict & Replace libphonenumber-java.
2015-10-09 - Daniel Pocock <daniel@pocock.pro>
libphonenumber (7.1.0-1) unstable; urgency=medium
* New upstream release.
* Conflict with libphonenumber6-java.  (Closes: #800921)
2015-09-25 - Iain Lane <laney@debian.org>
libphonenumber (7.0.11-2) unstable; urgency=medium
* Split libgeocoding out into a separate package.
* Make library packages Multi-Arch: same
* Rename -dev package to not include the version - this means that
our reverse build-deps don't need to have source changes whenever we bump
the ABI version.
* debian/patches/0001-Boost-build-fix.patch: Make sure to install all the
headers.
* debian/patches/0002-C-symbols-map.patch: Control our exported symbols to
not leak those of libraries we depend on.
2015-09-22 - Daniel Pocock <daniel@pocock.pro>
libphonenumber (7.0.11-1) unstable; urgency=medium
* New upstream release.
* VCS rebased using clone of new upstream Git repository.
* Builds with GCC-5.  (Closes: #797835)
2015-08-09 - tony mancill <tmancill@debian.org>
libphonenumber (6.3~svn698-4) unstable; urgency=medium
* Team upload.
* Rebuild against libboost in unstable (that is >= 1.58).
- (Closes: #794900, #794658)
* Add patch to remove the deprecated forkMode parameter in the
maven-surefire-plugin configuration.  This was causing tests
to fail and made the package FTBFS.
* Test compilations with GCC-5 from experimental also indicate
that this package now successfully builds without source changes
(surely due to the updated libboost).  (Closes: #777967)
2014-09-03 - Daniel Pocock <daniel@pocock.pro>
libphonenumber (6.3~svn698-3) unstable; urgency=medium
* More patches for JDK 1.5 build.
2014-09-02 - Daniel Pocock <daniel@pocock.pro>
libphonenumber (6.3~svn698-2) unstable; urgency=medium
* Add patches for JDK 1.5 build.

See Also

Package Description
libgeographic-dev_1.49-4_i386.deb C++ library to solve some geodesic problems -- development files
libgeographic17_1.49-4_i386.deb C++ library to solve some geodesic problems -- library
libgeography-countries-perl_2009041301-2_all.deb 2-letter, 3-letter, and numerical codes for countries
libgeoip-dev_1.6.12-1_i386.deb Development files for the GeoIP library
libgeoip1_1.6.12-1_i386.deb non-DNS IP-to-country resolver library
libgeoip2-perl_2.006001-2_all.deb Perl API for MaxMind's GeoIP2 web services and databases
libgeometric-shapes-dev_0.6.1-1_i386.deb Robot OS geometric_shapes package - development files
libgeometric-shapes3d_0.6.1-1_i386.deb Robot OS geometric_shapes package
libgeometry-msgs-dev_1.12.7-1_i386.deb Messages relating to Robot OS geometry, C/C++ interface
libgeometry-primitive-perl_0.24-2_all.deb module to represent geometric entities
libgeomview-1.9.5_1.9.5-2_i386.deb geomview library runtime
libgeomview-dev_1.9.5-2_i386.deb geomview library development package
libgeos++-dev_3.7.1-1_i386.deb Geometry engine for GIS - C++ development files
libgeos-3.7.1_3.7.1-1_i386.deb Geometry engine for Geographic Information Systems - C++ Library
libgeos-c1v5_3.7.1-1_i386.deb Geometry engine for Geographic Information Systems - C Library
Advertisement
Advertisement